
From: Richard Purdie <rpurdie@rpsys.net>

The pcmcia-move-pcmcia-ioctl-to-a-separate-file patch was corrupted in -mm2
causing this problem.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/ds.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-move-pcmcia-ioctl-to-a-separate-file-fix drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-move-pcmcia-ioctl-to-a-separate-file-fix	Wed May 18 16:09:46 2005
+++ 25-akpm/drivers/pcmcia/ds.c	Wed May 18 16:09:46 2005
@@ -1256,6 +1256,9 @@ static int __init init_pcmcia_bus(void)
 
 	bus_register(&pcmcia_bus_type);
 	class_interface_register(&pcmcia_bus_interface);
+
+	pcmcia_setup_ioctl();
+
 	return 0;
 }
 fs_initcall(init_pcmcia_bus); /* one level after subsys_initcall so that 
@@ -1269,7 +1272,6 @@ static void __exit exit_pcmcia_bus(void)
 	class_interface_unregister(&pcmcia_bus_interface);
 
 	bus_unregister(&pcmcia_bus_type);
- 	pcmcia_setup_ioctl();
 }
 module_exit(exit_pcmcia_bus);
 
_
